NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
NXOpen.Features.ShipDesign.PillarSystemBuilder Member List

This is the complete list of members for NXOpen.Features.ShipDesign.PillarSystemBuilder, including all inherited members.

AnchorPointNXOpen.Features.ShipDesign.PillarSystemBuilder
AngleToleranceNXOpen.Features.ShipDesign.FeatureParmsBuilder
AsyncProcessMessage(IMessage msg, IMessageSink replySink)NXOpen.Utilities.NXRemotableObjectinline
Boundary1NXOpen.Features.ShipDesign.ProfileSystemBuilder
Boundary1PlaneNXOpen.Features.ShipDesign.ProfileSystemBuilder
Boundary2NXOpen.Features.ShipDesign.ProfileSystemBuilder
Boundary2PlaneNXOpen.Features.ShipDesign.ProfileSystemBuilder
BoundaryOneModifiedNXOpen.Features.ShipDesign.ProfileSystemBuilder
BoundaryReverseNXOpen.Features.ShipDesign.ProfileSystemBuilder
BoundaryTwoModifiedNXOpen.Features.ShipDesign.ProfileSystemBuilder
BuildSolidNXOpen.Features.ShipDesign.PillarSystemBuilder
BuiltUpStockNXOpen.Features.ShipDesign.PillarSystemBuilder
Commit()NXOpen.Builderinline
CommitFeature()NXOpen.Features.FeatureBuilderinline
CreatePathCurves(out NXOpen.NXObject[] curves)NXOpen.Features.ShipDesign.ProfileSystemBuilderinline
CreatePlaneForList()NXOpen.Features.ShipDesign.FeatureParmsBuilderinline
CreatePointPairBuilder()NXOpen.Features.ShipDesign.PillarSystemBuilderinline
CreatOrientationPathCurve()NXOpen.Features.ShipDesign.ProfileSystemBuilderinline
DeleteLastPathCurves()NXOpen.Features.ShipDesign.ProfileSystemBuilderinline
DeletePathCurves()NXOpen.Features.ShipDesign.ProfileSystemBuilderinline
Destroy()NXOpen.Builderinline
DirectionNXOpen.Features.ShipDesign.PillarSystemBuilder
DistanceToleranceNXOpen.Features.ShipDesign.FeatureParmsBuilder
EndCapPlateStockNXOpen.Features.ShipDesign.PillarSystemBuilder
EndCapStockNXOpen.Features.ShipDesign.PillarSystemBuilder
EndCapThicknessNXOpen.Features.ShipDesign.PillarSystemBuilder
EndEndCutNXOpen.Features.ShipDesign.PillarSystemBuilder
EndTreatmentTypeNXOpen.Features.ShipDesign.PillarSystemBuilder
FirstIntersectionPointsNXOpen.Features.ShipDesign.ProfileSystemBuilder
GetAvailableAnchorPointNames()NXOpen.Features.ShipDesign.PillarSystemBuilderinline
GetCommittedObjects()NXOpen.Builderinline
GetFeature()NXOpen.Features.FeatureBuilderinline
GetLastPathCurves(out NXOpen.NXObject[] curves)NXOpen.Features.ShipDesign.ProfileSystemBuilderinline
GetObject()NXOpen.Builderinline
HideInternalParentFeatureAfterEdit(NXOpen.Features.Feature parentFeature)NXOpen.Features.FeatureBuilderinline
IntersectingShipStructureNXOpen.Features.ShipDesign.PillarSystemBuilder
LimitingShipStructureNXOpen.Features.ShipDesign.PillarSystemBuilder
NextSinkNXOpen.Utilities.NXRemotableObject
OrientationAngleNXOpen.Features.ShipDesign.PillarSystemBuilder
OrientationAngleRuleNXOpen.Features.ShipDesign.FeatureParmsBuilder
OrientationAngleRuleTypes enum nameNXOpen.Features.ShipDesign.FeatureParmsBuilder
OrientationLineNXOpen.Features.ShipDesign.PillarSystemBuilder
ParentFeatureInternalNXOpen.Features.FeatureBuilder
PointPairListNXOpen.Features.ShipDesign.PillarSystemBuilder
PopulateAnchorPointList()NXOpen.Features.ShipDesign.PillarSystemBuilderinline
PreviewBuilderNXOpen.Builder
PrintTestData(String variableName)NXOpen.TaggedObjectinline
PrintTestData(String variableName, int lineNumber)NXOpen.TaggedObjectinline
ReverseOrientationDirectionNXOpen.Features.ShipDesign.PillarSystemBuilder
ReversePathDirectionNXOpen.Features.ShipDesign.ProfileSystemBuilder
ReverseReferenceDirectionNXOpen.Features.ShipDesign.PillarSystemBuilder
SecondIntersectionPointsNXOpen.Features.ShipDesign.ProfileSystemBuilder
SectionTypeNXOpen.Features.ShipDesign.PillarSystemBuilder
SetBoundaryOnePoints(NXOpen.Point3d[] points)NXOpen.Features.ShipDesign.ProfileSystemBuilderinline
SetBoundaryTwoPoints(NXOpen.Point3d[] points)NXOpen.Features.ShipDesign.ProfileSystemBuilderinline
SetParentFeatureInternal(NXOpen.Features.Feature parentFeature)NXOpen.Features.FeatureBuilderinline
SetRegionPoints(NXOpen.Point3d[] points)NXOpen.Features.ShipDesign.ProfileSystemBuilderinline
ShipNamesNXOpen.Features.ShipDesign.PillarSystemBuilder
ShowInternalParentFeatureForEdit(NXOpen.Features.Feature parentFeature)NXOpen.Features.FeatureBuilderinline
ShowResults()NXOpen.Builderinline
SplitKnuckleLocationsNXOpen.Features.ShipDesign.ProfileSystemBuilder
StartCapPlateStockNXOpen.Features.ShipDesign.PillarSystemBuilder
StartCapStockNXOpen.Features.ShipDesign.PillarSystemBuilder
StartCapThicknessNXOpen.Features.ShipDesign.PillarSystemBuilder
StartEndCutNXOpen.Features.ShipDesign.PillarSystemBuilder
StartTreatmentTypeNXOpen.Features.ShipDesign.PillarSystemBuilder
StockDataNXOpen.Features.ShipDesign.PillarSystemBuilder
StockSectionType enum nameNXOpen.Features.ShipDesign.PillarSystemBuilder
SyncProcessMessage(IMessage msg)NXOpen.Utilities.NXRemotableObjectinline
TagNXOpen.TaggedObject
ToString()NXOpen.TaggedObjectinline
TypeNXOpen.Features.ShipDesign.PillarSystemBuilder
Types enum nameNXOpen.Features.ShipDesign.PillarSystemBuilder
UnsetParentFeatureInternal(NXOpen.Features.Feature parentFeature)NXOpen.Features.FeatureBuilderinline
UpdateEndcutChangeStatus(bool isChangeStart, bool isChangeEnd, bool isAllInBoudary)NXOpen.Features.ShipDesign.ProfileSystemBuilderinline
UseNewDefaultSectionAlgorithmNXOpen.Features.ShipDesign.ProfileSystemBuilder
Validate()NXOpen.Builderinline
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.